summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlireza Ayinmehr2019-03-25 03:42:46 +0430
committerAlireza Ayinmehr2019-03-25 03:42:46 +0430
commit4591e7eaab1251f2a150ba13260240f24a166782 (patch)
tree4b8aab24abefbf8a98c2c4f63dbd2fab6766a7a8
parente7c157ada4b83f499f9d6c56dc09104cd363ac1b (diff)
downloadaur-4591e7eaab12.tar.gz
Update to Version 19.0.3
-rw-r--r--.SRCINFO92
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD99
-rw-r--r--progress.patch21
4 files changed, 187 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8c21bb64e24..50705785ccd 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,24 +1,102 @@
pkgbase = python-pip-git
pkgdesc = The PyPA recommended tool for installing Python packages
- pkgver = 8.1.2
+ pkgver = 19.0.3
pkgrel = 1
url = https://pip.pypa.io/
arch = any
license = MIT
- makedepends = python
+ checkdepends = python-pytest-runner
+ checkdepends = python-scripttest
+ checkdepends = python-virtualenv
+ checkdepends = python-pretend
+ checkdepends = python-yaml
+ checkdepends = python-mock
+ checkdepends = python-freezegun
makedepends = python-setuptools
- makedepends = python2
+ makedepends = python-appdirs
+ makedepends = python-cachecontrol
+ makedepends = python-colorama
+ makedepends = python-distlib
+ makedepends = python-distro
+ makedepends = python-html5lib
+ makedepends = python-lockfile
+ makedepends = python-msgpack
+ makedepends = python-six
+ makedepends = python-packaging
+ makedepends = python-pep517
+ makedepends = python-progress
+ makedepends = python-pytoml
+ makedepends = python-retrying
+ makedepends = python-requests
+ makedepends = python-urllib3
+ makedepends = python-webencodings
makedepends = python2-setuptools
- source = git://github.com/pypa/pip
- md5sums = SKIP
+ makedepends = python2-appdirs
+ makedepends = python2-cachecontrol
+ makedepends = python2-colorama
+ makedepends = python2-distlib
+ makedepends = python2-distro
+ makedepends = python2-html5lib
+ makedepends = python2-lockfile
+ makedepends = python2-msgpack
+ makedepends = python2-six
+ makedepends = python2-packaging
+ makedepends = python2-pep517
+ makedepends = python2-progress
+ makedepends = python2-pytoml
+ makedepends = python2-retrying
+ makedepends = python2-requests
+ makedepends = python2-urllib3
+ makedepends = python2-webencodings
+ makedepends = python2-ipaddress
+ makedepends = python-sphinx
+ conflicts = python-pip
+ conflicts = python2-pip
+ source = pip-19.0.3.tar.gz::https://github.com/pypa/pip/archive/19.0.3.tar.gz
+ source = progress.patch
+ sha512sums = f56df1e2fe18eccc4dcba66b0a93a933eb94d12ed0f31d3923662fb85075192674c98bbc00dd48185b1d87cf28a64a6dc321de524e4ccb39a8877b3d5cf578e1
+ sha512sums = 77f48f1ae3c977087630a2009e55d38dc6daa53b08767e3aa2fa51405f76de0291c48cebd5e9dc42346f14bb43189f1f49a325faffde9ce63a4377b63541a296
pkgname = python-pip-git
- depends = python
depends = python-setuptools
+ depends = python-appdirs
+ depends = python-cachecontrol
+ depends = python-colorama
+ depends = python-distlib
+ depends = python-distro
+ depends = python-html5lib
+ depends = python-lockfile
+ depends = python-msgpack
+ depends = python-six
+ depends = python-packaging
+ depends = python-pep517
+ depends = python-progress
+ depends = python-pytoml
+ depends = python-retrying
+ depends = python-requests
+ depends = python-urllib3
+ depends = python-webencodings
pkgname = python2-pip-git
- depends = python2
depends = python2-setuptools
+ depends = python2-appdirs
+ depends = python2-cachecontrol
+ depends = python2-colorama
+ depends = python2-distlib
+ depends = python2-distro
+ depends = python2-html5lib
+ depends = python2-lockfile
+ depends = python2-msgpack
+ depends = python2-six
+ depends = python2-packaging
+ depends = python2-pep517
+ depends = python2-progress
+ depends = python2-pytoml
+ depends = python2-retrying
+ depends = python2-requests
+ depends = python2-urllib3
+ depends = python2-webencodings
+ depends = python2-ipaddress
conflicts = python-pyinstall
replaces = python-pyinstall
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..93f5d9f2777
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+pkg/
+src/
+*.tar.gz
+*.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
index e292e7de686..6ab576a5930 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,39 +1,94 @@
-# Maintainer: Christopher Loen <christopherloen at gmail dot com>
-pkgbase='python-pip-git'
+# Maintainer: Alireza Ayinmehr <alireza.darksun@gmail.com>
+# Contributor: Dan McGee <dan@archlinux.org>
+# Contributor: Eli Schwartz <eschwartz@archlinux.org>
+# Contributor: Sebastien Binet <binet@lblbox>
+
pkgname=('python-pip-git' 'python2-pip-git')
-pkgver='8.1.2'
+pkgver=19.0.3
pkgrel=1
pkgdesc="The PyPA recommended tool for installing Python packages"
url="https://pip.pypa.io/"
arch=('any')
license=('MIT')
-makedepends=('python' 'python-setuptools' 'python2' 'python2-setuptools')
-source=('git://github.com/pypa/pip')
-md5sums=('SKIP')
+_deps=('setuptools' 'appdirs' 'cachecontrol' 'colorama' 'distlib' 'distro' 'html5lib' 'lockfile'
+ 'msgpack' 'six' 'packaging' 'pep517' 'progress' 'pytoml' 'retrying' 'requests' 'urllib3'
+ 'webencodings')
+makedepends=("${_deps[@]/#/python-}" "${_deps[@]/#/python2-}" 'python2-ipaddress' 'python-sphinx')
+checkdepends=('python-pytest-runner' 'python-scripttest' 'python-virtualenv' 'python-pretend'
+ 'python-yaml' 'python-mock' 'python-freezegun')
+conflicts=('python-pip' 'python2-pip')
+source=("pip-${pkgver}.tar.gz::https://github.com/pypa/pip/archive/${pkgver}.tar.gz"
+ progress.patch)
+sha512sums=('f56df1e2fe18eccc4dcba66b0a93a933eb94d12ed0f31d3923662fb85075192674c98bbc00dd48185b1d87cf28a64a6dc321de524e4ccb39a8877b3d5cf578e1'
+ '77f48f1ae3c977087630a2009e55d38dc6daa53b08767e3aa2fa51405f76de0291c48cebd5e9dc42346f14bb43189f1f49a325faffde9ce63a4377b63541a296')
+
+shopt -s extglob
+prepare() {
+ cd "$srcdir/pip-$pkgver"
+
+ # Fix compat with python-progress 1.5
+ # https://github.com/pypa/pip/pull/6319
+ patch -Np1 -i ../progress.patch
+
+ rm -rf src/pip/_vendor/!(__init__.py)
+ sed -i -e 's/DEBUNDLED = False/DEBUNDLED = True/' \
+ -e '/cachecontrol/a\ vendored("pep517")' \
+ src/pip/_vendor/__init__.py
+}
+
+build() {
+ cd "$srcdir/pip-$pkgver"
+
+ python setup.py build
+ python2 setup.py build
+
+ cd docs/
+ PYTHONPATH="$srcdir/pip-$pkgver/src/" sphinx-build -W -b man -d build/doctrees/man man build/man -c html
+ mkdir -p build/man-pip2
+ cd build/man
+ for manfile in *; do
+ sed 's/pip/pip2/g;s/PIP/PIP2/g' $manfile > ../man-pip2/${manfile/pip/pip2}
+ done
+}
+
+check() {
+ cd "$srcdir/pip-$pkgver"
+ python setup.py pytest || warning "Tests failed"
+}
package_python-pip-git() {
- depends=('python' 'python-setuptools')
+ depends=("${_deps[@]/#/python-}")
+
+ cd "$srcdir/pip-$pkgver"
+ python setup.py install --prefix=/usr --root="$pkgdir"
+
+ install -D -m644 LICENSE.txt \
+ "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+ install -Dm644 -t "$pkgdir"/usr/share/man/man1 docs/build/man/*
- cd "${srcdir}/pip"
- python3 setup.py build
- python3 setup.py install --prefix=/usr --root="${pkgdir}"
- install -dm644 "${pkgdir}/usr/share/licenses/${pkgname}/"
- cp LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ PYTHONPATH="$pkgdir"/usr/lib/python3.7/site-packages "$pkgdir"/usr/bin/pip completion --bash \
+ | install -Dm644 /dev/stdin "$pkgdir"/usr/share/bash-completion/completions/pip
}
package_python2-pip-git() {
- depends=('python2' 'python2-setuptools')
+ depends=("${_deps[@]/#/python2-}" 'python2-ipaddress')
conflicts=('python-pyinstall')
replaces=('python-pyinstall')
- cd "${srcdir}/pip"
- python2 setup.py build
- python2 setup.py install --prefix=/usr --root="${pkgdir}"
-
- mv "${pkgdir}/usr/bin/pip" "${pkgdir}/usr/bin/pip2"
- sed -i "s|#!/usr/bin/env python$|#!/usr/bin/env python2|" "${pkgdir}/usr/lib/python2.7/site-packages/pip/__init__.py"
- python2 -m compileall "${pkgdir}/usr/lib/python2.7/site-packages/pip/__init__.py"
- install -dm644 "${pkgdir}/usr/share/licenses/${pkgname}/"
- cp LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ cd "$srcdir/pip-$pkgver"
+ python2 setup.py install --prefix=/usr --root="$pkgdir"
+
+ mv "$pkgdir/usr/bin/pip" "$pkgdir/usr/bin/pip2"
+ sed -i "s|#!/usr/bin/env python$|#!/usr/bin/env python2|" \
+ ${pkgdir}/usr/lib/python2.7/site-packages/pip/__init__.py
+ python2 -m compileall ${pkgdir}/usr/lib/python2.7/site-packages/pip/__init__.py
+
+ install -D -m644 LICENSE.txt \
+ "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+ install -Dm644 -t "$pkgdir"/usr/share/man/man1 docs/build/man-pip2/*
+ PYTHONPATH="$pkgdir"/usr/lib/python2.7/site-packages "$pkgdir"/usr/bin/pip2 completion --bash \
+ | install -Dm644 /dev/stdin "$pkgdir"/usr/share/bash-completion/completions/pip2
}
diff --git a/progress.patch b/progress.patch
new file mode 100644
index 00000000000..76dc5718f44
--- /dev/null
+++ b/progress.patch
@@ -0,0 +1,21 @@
+diff -u -r pip-18.1/src/pip/_internal/utils/ui.py pip-18.1-p/src/pip/_internal/utils/ui.py
+--- pip-18.1/src/pip/_internal/utils/ui.py 2018-10-05 09:07:26.000000000 +0000
++++ pip-18.1-p/src/pip/_internal/utils/ui.py 2019-03-08 08:51:47.324230770 +0000
+@@ -12,7 +12,7 @@
+ Bar, ChargingBar, FillingCirclesBar, FillingSquaresBar, IncrementalBar,
+ ShadyBar,
+ )
+-from pip._vendor.progress.helpers import HIDE_CURSOR, SHOW_CURSOR, WritelnMixin
++from pip._vendor.progress import HIDE_CURSOR, SHOW_CURSOR
+ from pip._vendor.progress.spinner import Spinner
+
+ from pip._internal.utils.compat import WINDOWS
+@@ -241,7 +241,7 @@
+
+
+ class DownloadProgressSpinner(WindowsMixin, InterruptibleMixin,
+- DownloadProgressMixin, WritelnMixin, Spinner):
++ DownloadProgressMixin, Spinner):
+
+ file = sys.stdout
+ suffix = "%(downloaded)s %(download_speed)s"